<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:tei="http://www.tei-c.org/ns/1.0"
    xmlns:abv="http://ossetic-studies.org/ns/abaevdict"
    exclude-result-prefixes="xs tei"
    version="2.0">
  <xsl:param name="default-lang"/>
  
    <!-- XSLT Template to copy anything -->
    <xsl:template match="@* | node()">
        <xsl:copy>
            <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>
    </xsl:template>
  
  <xsl:template match="tei:gloss | tei:note">
    <xsl:copy>
      <xsl:if test="not(@xml:lang)">
        <xsl:attribute name="xml:lang">
          <xsl:value-of select="$default-lang"/>
        </xsl:attribute>
      </xsl:if>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>        
  </xsl:template>
  
  <xsl:template match="tei:lang[@xml:lang]">
    <xsl:element name="tei:rs">
      <xsl:attribute name="xml:lang"><xsl:value-of select="@xml:lang"/></xsl:attribute>
      <xsl:element name="tei:lang">
        <xsl:attribute name="xml:lang">
          <xsl:value-of select="$default-lang"/>
        </xsl:attribute>
        <xsl:value-of select="node() | @*[not(name()='xml:lang')]"/>
      </xsl:element>
    </xsl:element>
  </xsl:template>
  
    <xsl:template match=
    "text()">
      <xsl:value-of select="replace(translate(., '&#xA;', ''), ' +', ' ')"/>
    </xsl:template>  
</xsl:stylesheet>