<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    <xsl:template name="lang-text">
        <xsl:param name="lang-code"/>
        <xsl:param name="name-lang"/>
        <xsl:choose>
            <xsl:when test="$lang-code = 'ab'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>абх.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Abkh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'abq'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>абаз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Abaza</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'abq-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>абаз. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Abaza (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ady'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>адыг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Adyghe</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ady-x-abadz'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>абадз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Abzakh</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ady-x-shpsg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>шапс.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Shaps.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ae'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ав.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Av.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ae-x-gth'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ав. (гаты)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>GAv.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'aer'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>аранта</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Arrernte</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'agx'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>агул.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Agh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'aii'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ассир.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Assyr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ain'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>айну</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ainu</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'akk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>аккад.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Akk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'akv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ахвах.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Akhv.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'alt'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>алт.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Alt.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'alt-x-teleut'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>телеут.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Teleut</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ang'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>англос.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OEng.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ani'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>анд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Andi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'aqc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>арчин.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Archi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ar'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>араб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ar.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'arc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>арам.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Aram.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'av'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>авар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Avar</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'az'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>азерб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Az.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ba'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>башк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bashk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bat'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>балт.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Balt.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bbl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>туш.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bats</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bdk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>будух.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bud.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'be'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>белорусс.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bel.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>болг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bulg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bgn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>бел. (зап.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>WBal.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bgp'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>бел. (вост.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>EBal.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>бенгали</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Beng.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bo'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тибет.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tib.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bph'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ботл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Botl.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bqi'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>перс. (бахтиар.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pers. (Bakht.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'br'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>брет.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bret.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'brh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>брахуи</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Brah.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bsg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>башкарди</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bashkardi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bsk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>верш.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Burush.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'bua'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>монг. бурят.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Buryat</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cau'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кавк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Cauc.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ccs'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>картв.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>SCauc.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ce'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>чеч.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Chech.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ce-x-goyt'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>чеч. (гойт.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Chech. (Ghoyta)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ce-x-achkh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>чеч. (ачхой-март.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Chech. (Achkhoy-Martan)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cel'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кельт.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Celt.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'chg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>чагат.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Chag.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'chm'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>мар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Mari</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cji'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>чамал.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Cham.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cjs'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>шор.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Shor</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ckb'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сорани</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sor.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ckb-x-kndln'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кандулан</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kandulan</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cmg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>монг. письм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Cl. Mong.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'crh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>татар. (крым.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Crim. Tat.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cs'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>чеш.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Cz.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cu'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ст.слав.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OCS</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cu-x-bg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.болг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OBulg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>чув.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Chuv.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cy'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>валл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Welsh</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'cy-x-cymr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кимр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Cymr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'da'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>дат.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Dan.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'da-x-old'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>стародат.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>ODan.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'dar'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>дарг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Darg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'dar-x-aqusha'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>акуш.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Aq.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'dar-x-kaitag'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кайт.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kait.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ddo'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>дид.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tsez</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'de'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>нем.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ger.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'de-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>нем. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ger. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'de-x-south'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>южнонем.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>SGer.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'dsb'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>нижне-луж.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>LSorb.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ecr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>крит.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Cret.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'egy'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>древнеегипетский</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Eg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'el'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>н.гр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Mod. Gr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'elx'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>элам.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>El.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'en'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>англ.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Eng.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'en-x-argt'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>англ. (арго)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Eng. (sl.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'es'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>исп.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sp.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'et'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>эст.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Est.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ett'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>этр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Etr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'eu'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>баск.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bsq.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'evn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>эвенк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Evenki</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fa'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>перс.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pers.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fa-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>перс. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pers. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fa-x-fars'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>перс. (диалект Фарси)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pers. (Fars)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fa-x-kshn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>перс. (кашан.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pers. (Kashan)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fa-x-krmns'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>перс. (кирманшах.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pers. (Kerm.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fi'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>фин.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Fin.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fi-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>фин. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Fin. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>фр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Fr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fro'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ст.фр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OFr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'frp'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>фр. (прованс.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Fr.-Prov.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'frs'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>фриз. (вост.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>EFris.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'fy'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>фриз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Fris.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ga'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ирл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Irish</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'gbz'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>габри</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Zor. Dari</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'gbz-x-yzd'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>язди</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Yazdi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'gdo'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>годобер.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Godob.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'gem'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>герм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Germ.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'gem-x-old'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.герм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OGerm.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'glk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гилян.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>GIl.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'gmh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ср.в.нем.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>MHG</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'gml'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ср.н.нем.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>MLG</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'gmq'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сканд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>NGerm.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'goh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.в.нем.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OHG</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'got'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гот.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Goth.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'got-x-crm'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гот. (крым.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Crim. Goth.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'grc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Gr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'grc-x-byz'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гр. (визант.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Byz. Gr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'grc-x-doric'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гр. дор.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Dor. Gr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'grc-x-hom'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гр. (Гомер)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Hom. Gr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ha'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хауса</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Hausa</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'hac'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гуран.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Gor.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'hbo'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.евр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Heb.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'hi'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хинди</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Hindi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'hit'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хетт.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Hitt.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'hr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хорв.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Croat.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'hsb'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>верхнелуж.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>USorb.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'hu'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>венг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Hung.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'huz'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>гунзиб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Hunz.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'iir'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ar.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'inc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>инд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>IA</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'inc-x-mid'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ср.инд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>MInd.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'inc-x-nnew'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>северные новоиндийские диалекты</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>North New Indic dialects</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'inc-x-old'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.инд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OInd.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ine'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>и.е.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>IE</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'inh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>инг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ing.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ira'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>иран.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ir.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ira-x-mid'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ср.иран.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>MIr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'is'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>исл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Icel.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'isk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. ишк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ishk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'it'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ит.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>It.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ja'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>япон.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Jap.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-clq'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (разг.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (col.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-guria'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (гур.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Gur.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-imer'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (имер.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Imer.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-ingiloy'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (ингил.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Ing.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-khevsur'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (хевсур.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Khev.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-lchkhm'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (лечхум.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Lech.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-mokhev'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (мохев.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Mokh.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-mtiul'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (мтиул.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Mtiul.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-pshav'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (пшав.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Pshav.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ka-x-rachian'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>груз. (рачин.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Georg. (Rach.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kaa'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>каракалп.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kara-Kalp.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xas'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>камас.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kamas</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kap'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>капуч.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bezhta</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kbd'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>каб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kab.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kbd-x-crc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>черк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Circ.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kbd-x-crc-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>черк. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Circ. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kbd-x-crc-west'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>черк. (зап.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Circ. (W.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kbd-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>каб. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kab. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kca'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ханты</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khanty</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kdr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>караим.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kar.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kho'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сак.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Saka</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'khv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хварш.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khwarshi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'khw'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ховар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khow.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'khw-x-chtr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>читр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khow. (Chitral)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kjh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хакас.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khak.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kjh-sghy'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хакас. (сагайск.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khak. (Saghay)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kjj'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хиналуг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khin.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>каз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kaz.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kk-x-krgnd'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>караг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Qaragh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ko'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кор.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kor.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kpt'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>карат.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Karata</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'krc-x-balkar'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>балк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Balk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'krc-x-karachay'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>карач.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Karach.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'krl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>карел.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Karel.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kry'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>крыз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kryz</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kry-x-jek'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>джекск.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Jek</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ku'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>курд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kurd.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kum'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кум.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kum.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>коми</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Komi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kva'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>куанад.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bagv.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'kw'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>корн.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Corn.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ky'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кирг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kyrg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'la'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лат.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Lat.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'lah'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ланда</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Lahnda</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'la-x-late'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>позднелат.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Late Lat.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'lbe'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лак.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Lak</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ldd'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лур.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Luri</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'lez'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лезг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Lezg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'liv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лив.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Liv.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'lrl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Lari</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'lt'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лит.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Lit.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'lt-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лит. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Lit. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'lv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>латыш.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Latv.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'lzz'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>чан.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Laz</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'man'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>мандинго</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Mand.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mdf'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>мордовский (мокша)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Moksha</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mga'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ср.ирл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>MIr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mis-x-khuri'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хури</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khuri</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>монг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Mong.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mn-x-uriankh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>урянх.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Uriankh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mnc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>манджурское</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Manchu</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mnj'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. м.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Munji</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mns'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>манси</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Mansi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>маратхи</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Marathi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'myv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>мордовский (эрзя)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Erzya</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'mzn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>маз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Mazand.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'nds'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>н.н.нем.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>LGer.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ne'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>непал.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Nep.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'nl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>нидерл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Dut.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'no'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>норв.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Nor.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'no-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>норв. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Nor. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'nog'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ног.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Nog.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'non'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.сев.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>ONor.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'non-x-is'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.исл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OIcel.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ntz'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>натанзи</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Natanzi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'nub'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>нубийское</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Nub.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'oc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>прованс.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Occ.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ofs'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.фриз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OFris.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'oge'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.груз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OGeorg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ohu'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ст.венг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OHung.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'oos'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ст.ос.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OOss.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'oru'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>орм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Orm.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'orv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.русск.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>ORus.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'os'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ос.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Oss.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'os-x-digor'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>д.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Dig.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'os-x-iron'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>и.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Iron</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'os-x-ksan'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ксан.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ksan.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'os-x-south'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ю.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>SOss.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'osx'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.сакс.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OSax.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'oui'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.тюрк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OTurk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pa'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пенджаби</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Punj.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pal'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пехл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>MPers.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pal-x-pazend'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>паз.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Paz.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pal-x-turfan'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пехл. турф.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pahl. Turf.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'paq'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>парья</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Parya</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'peo'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.перс.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OPers.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pgd'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кхарошти</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Gandh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pi'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пали</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pali</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пол.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pol.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pl-x-old'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>старопол.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OPol.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pox'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>полабский</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Polab.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pra'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пракрит.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Prakr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'prc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Par.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'prg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.прусс.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OPrus.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'prn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>прасунск.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pras.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'prs'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тадж. (кабули)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Dari (Kab.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ps'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>афг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pashto</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'psh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пашан</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pashai</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'pt'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>порт.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Port.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'qwm'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>куман.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Cum.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ro'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>рум.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rom.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'rom'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>цыг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Romani</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-argot'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (арго)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (argot)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-arkh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (арх.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Arkh.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-astr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (астрах.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Astr.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-don'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (донской говор)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Don)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-kstr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (кстр.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Kostr.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-novg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (новг.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Novg.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-sib'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (сиб.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Sib.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-smlnsk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (смол.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Smol.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-south'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (южн. диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (s.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-tvr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (твер.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Tv.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-vldmr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (влад.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (Vlad.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ru-x-west'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>русск. (зап. диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rus. (w.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'rut'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>рутул.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rut.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sa'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>скр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sanskr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sa-bauddha'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.инд. (будд.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sanskr. (Bud.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sa-vaidika'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>вед.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ved.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sah'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>якут.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Yak.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sbv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>саб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sab.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sel'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>селькуп.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Selk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sem'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>семит.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sem.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sga'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.ирл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OIrish</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sgh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. ш.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Shugh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sgh-x-bartang'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. барт.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bart.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sgh-x-khufi'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хуф.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khufi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sgh-x-oroshori'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. ор.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rosh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sgr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сангисарское</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sangsari</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sgy'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. сгл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sangl.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sgy-x-zebak'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. зеб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Zeb.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сербо-хорв.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>SCr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'si'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>синг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sinh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>словац.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Slovak</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>слов.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Slovene</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sla'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>слав.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sl.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'smi'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лопар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sami</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'smi-x-sm'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>саам.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sami</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'smy'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>семнан.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Semn.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sog'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>согд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sogd.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sog-x-budd'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>согд. будд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sogd. Bud.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sog-x-chr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>согд. христ.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sogd. Chr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sog-x-man'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>согд. ман.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sogd. Man.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sog-x-mugh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>согд. (Муг)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sogd. (Mugh)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sqj'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>алб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Alb.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>серб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Serb.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'srh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. с.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sarik.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sty'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тобол.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tobol</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sty-x-brb'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>барабин.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Baraba</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sux'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>шумер.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sum.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>швед.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Swed.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sv-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>швед. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Swed. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'sva'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сван.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sv.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'syd'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>самодийское</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sam.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'syd-x-south'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>южносамодийское</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>SSam.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'syr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сир.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Syr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ta'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тамил.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tam.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tab'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>табас.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tabas.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тадж.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Taj.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tg-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тадж. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Taj. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tg-x-qrtg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тадж. (каратег.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Taj. (Qarateg.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tg-x-se'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тадж. (юго-восточные говоры)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Taj. (SE)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tg-x-vanj'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тадж. (вандж.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Taj. (Vanj)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tin'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тинд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tindi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>туркм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Turkm.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tkr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>цахур.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tsakh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tly'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тал.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tal.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тур.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tr-x-anat'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>анат.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Anat.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tr-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тур. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tr. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'trk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тюрк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Turk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'trk-x-east'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>восточнотюрк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>ETurk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'trk-x-mid'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>среднетюрк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>MTurk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'trk-x-north'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сев. тюрк.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>NTurk.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tt'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>татар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tat.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tt-x-dial'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>татар. (диал.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tat. (dial.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'tt-x-kazan'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>казан.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kazan</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ttt'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>татск.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tat</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'txb'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тохар. B</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Toch. B</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'txh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>фрак.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Thrac.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'uby'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>убых.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ub.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'udi'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>удин.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Udi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'udm'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>удм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Udm.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ug'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>уйгур.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Uygh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ug-x-kashgar'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кашг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kashg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'uk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>укр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ukr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'uk-x-gal'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>укр. (галиц.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ukr. (Gal.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'uk-x-west'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>укр. (зап.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ukr. (w.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ur'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>урду</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Urdu</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'uz'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>узб.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Uz.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'vep'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>вепс.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Veps</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'wbl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. в.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Wakhi</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'wen'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>луж.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sorb.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'wep'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>нем. (вестф.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Westph.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'wne'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ванеци</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Wan.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'wsv'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>вотапурско-катаркалайское</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Wot.-Kat.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-balochi'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>бел.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bal.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-barakai'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>варакаи</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Barakai</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-dardic'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>дард.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Dard.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-mordvin'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>морд.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Mord.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-nuristan'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кафир.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Nur.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-oldirn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.иран.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OIr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-oldsl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>др.слав.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>OSl.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-pamir'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pam.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-pamir-n'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. н.??</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Pam.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-rushani'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. руш.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Rush.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-sarm'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сарм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Sarm.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-tchr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тохар.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Toch.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'x-vaynakh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>вейнах.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Vayn.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xal'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>калм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Kalm.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xbc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кушан.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bact.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xbo'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>булг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Bulgar</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xcl'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>арм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Arm.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xco'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хорезм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khwar.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xco-x-late'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>позднехорезм.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>LKhwar.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xhu'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хурр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Hurr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xld'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лид.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Lyd.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xln'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>алан.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Alan.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xlu'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>лув.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Luw.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xme'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>мид.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Med.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xmf'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>мегр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Ming.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xmn'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пехл. (маних.)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>MPers. (Man.)</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xpg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>фриг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Phr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xpr'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>парф.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Parth.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xsc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>скиф.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Scyth.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xtg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>галл.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Gaul.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xto'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>тохар. A</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Toch. A</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xtq'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>сак. (Тумшук)</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Tumsh.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'xum'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>умбр.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Umbr.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'yah'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. язг.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Yazg.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'yai'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ягн.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Yaghn.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ydg'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>пам. и.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Yid.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'yrk'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>нен.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Nen.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'ysc'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>ясск.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Jas.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'zh'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>кит.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Chin.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'zkz'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>хазарск.</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Khaz.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$lang-code = 'zza'">
                <xsl:choose>
                    <xsl:when test="$name-lang = 'ru'"><xsl:text>заза</xsl:text></xsl:when>
                    <xsl:when test="$name-lang = 'en'"><xsl:text>Zaz.</xsl:text></xsl:when>
                </xsl:choose>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
